org.apache.log4j.rolling.helper

## Class FileNamePatternTestCase

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.log4j.rolling.helper.FileNamePatternTestCase

- All Implemented Interfaces:
    junit.framework.Test

      public final class FileNamePatternTestCase
      extends junit.framework.TestCase

  Tests for FileNamePattern.
  Author:
    Ceki, Curt Arnold

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileNamePatternTestCase(String name)` Construct new test.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testFormatDate1()`
    `void` | `testFormatDate2()`
    `void` | `testFormatDate3()`
    `void` | `testFormatDate4()` A %d is treated as %d{yyyy-MM-dd} if followed by a malformed format specifier.
    `void` | `testFormatDate5()` A %d is treated as %d{yyyy-MM-dd} if followed by a malformed format specifier.
    `void` | `testFormatInteger1()`
    `void` | `testFormatInteger10()`
    `void` | `testFormatInteger11()`
    `void` | `testFormatInteger2()`
    `void` | `testFormatInteger3()`
    `void` | `testFormatInteger4()`
    `void` | `testFormatInteger5()`
    `void` | `testFormatInteger6()`
    `void` | `testFormatInteger7()`
    `void` | `testFormatInteger8()`
    `void` | `testFormatInteger9()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileNamePatternTestCase

          public FileNamePatternTestCase(String name)

      Construct new test.
      Parameters:
        `name` - test name

  - ### Method Detail

    - #### testFormatInteger1

          public void testFormatInteger1()

    - #### testFormatInteger2

          public void testFormatInteger2()

    - #### testFormatInteger3

          public void testFormatInteger3()

    - #### testFormatInteger4

          public void testFormatInteger4()

    - #### testFormatInteger5

          public void testFormatInteger5()

    - #### testFormatInteger6

          public void testFormatInteger6()

    - #### testFormatInteger7

          public void testFormatInteger7()

    - #### testFormatInteger8

          public void testFormatInteger8()

    - #### testFormatInteger9

          public void testFormatInteger9()

    - #### testFormatInteger10

          public void testFormatInteger10()

    - #### testFormatInteger11

          public void testFormatInteger11()

    - #### testFormatDate1

          public void testFormatDate1()

    - #### testFormatDate2

          public void testFormatDate2()

    - #### testFormatDate3

          public void testFormatDate3()

    - #### testFormatDate4

          public void testFormatDate4()

      A %d is treated as %d{yyyy-MM-dd} if followed by a malformed format specifier.

    - #### testFormatDate5

          public void testFormatDate5()

      A %d is treated as %d{yyyy-MM-dd} if followed by a malformed format specifier.

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.